#ifndef SALEMODEL_H
#define SALEMODEL_H

#include <marketplace.h>

#include <QAbstractItemModel>

class SaleModel : public QAbstractItemModel
{
    Q_OBJECT

  public:
    explicit SaleModel(Marketplace* market, QObject* parent = nullptr);
    QModelIndex index(int row, int column,
                      const QModelIndex& parent = QModelIndex()) const override;
    QModelIndex parent(const QModelIndex& index) const override;
    QVariant data(const QModelIndex& index, int role) const override;
    int rowCount(const QModelIndex& parent) const override;
    int columnCount(const QModelIndex& parent) const override;
    QVariant headerData(int section, Qt::Orientation orientation, int role) const override;

  public slots:
    void onBasketDataChanged();

  private:
    Marketplace* marketplace_;
    std::unique_ptr<Sale> rootItem{new Sale()};
};

#endif